Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface ValueObject

All Known Subinterfaces:
  GridValueCell, ThiessenValuePolygon, ValueCurve, ValueHexagon, ValueTriangle

    @UML(identifier="CV_ValueObject",
         specification=ISO_19123)
    public interface ValueObject

Basis for interpolating feature attribute values within a continuous coverage. `ValueObject`s may be generated in the execution of an `evaluate` operation, and need not be persistent.

TODO:
  Consider renaming as Value.

Method Summary
`Set<? extends GeometryValuePair>` | `getControlValues()` Returns the set of geometry-value pairs that provide the basis for constructing this `ValueObject` and for evaluating the continuous coverage at direct positions within this value object.
`DomainObject` | `getGeometry()` The domain object constructed from the domain objects of the geometry-value pairs that are linked to this value object by the control values.
`Record` | `getInterpolationParameters()` Holds the values of the parameters required to execute the interpolate operation, as specified by the interpolation parameter types attribute of the continuous coverage.
`Record` | `interpolate(DirectPosition p)` Returns the record of feature attribute values computed for the specified direct position.

Method Detail

### getControlValues

    @UML(identifier="controlValue",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<? extends GeometryValuePair> getControlValues()

  Returns the set of geometry-value pairs that provide the basis for constructing this `ValueObject` and for evaluating the continuous coverage at direct positions within this value object.

### getGeometry

    @UML(identifier="geometry",
         obligation=MANDATORY,
         specification=ISO_19123)
    DomainObject getGeometry()

  The domain object constructed from the domain objects of the geometry-value pairs that are linked to this value object by the control values.

### getInterpolationParameters

    @UML(identifier="interpolationParameters",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Record getInterpolationParameters()

  Holds the values of the parameters required to execute the interpolate operation, as specified by the interpolation parameter types attribute of the continuous coverage.

  TODO:
    Consider leveraging the parameter package.

### interpolate

    @UML(identifier="interpolate",
         obligation=MANDATORY,
         specification=ISO_19123)
    Record interpolate(DirectPosition p)

  Returns the record of feature attribute values computed for the specified direct position.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.